# $Revision: 1.8 $, $Date: 2005/01/03 12:09:50 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Big
Summary:	Math::Big - useful routines and packages with Math::BigInt/BigFloat
Summary(pl):	Math::Big - przydatne funkcje i pakiety oparte o Math::BigInt/BigFloat
Name:		perl-Math-Big
Version:	1.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e8d363e8c6559ae7b0a88f27c54de898
BuildRequires:	perl-Math-BigInt >= 1.72
BuildRequires:	perl(Math::BigFloat) >= 1.36
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.72
Requires:	perl(Math::BigFloat) >= 1.36
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Big module contains some routines that may come in handy when
you want to do some math with really, really big (or small) numbers.

%description -l pl
Modu Math::Big zawiera troch procedur, ktre mog okaza si pomocne
przy obrbce bardzo, bardzo duych (lub maych) liczb.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BENCHMARK BUGS CHANGES CREDITS LICENSE NEW README TODO
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*.txt
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Big.spec,v $
Revision 1.8  2005/01/03 12:09:50  adamg
- updated to 1.11

Revision 1.7  2004/11/03 22:30:33  paladine
- formatting

Revision 1.6  2004/08/21 21:14:35  adamg
- updated to 1.10

Revision 1.5  2004/05/06 18:43:15  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.3  2004/04/20 23:59:34  ankry
- ported to new bconds

Revision 1.2  2004/01/24 23:18:43  arekm
- autoupdated to 1.09

Revision 1.1  2003/06/29 00:18:39  qboosh
- new

